petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchGetDefaultMonitor

Gets the PetscViewer instance for the line search monitor.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetDefaultMonitor(SNESLineSearch linesearch, PetscViewer *monitor)

### Input Parameter

linesearch -linesearch context Many br

### Output Parameter

monitor -monitor context Many br

Logically Collective on SNES Many br

### Options Database Keys

-snes_linesearch_monitor -enables the monitor Many br

Many br

### See Also

SNESLineSearchSetDefaultMonitor(), PetscViewer

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages